Package com.avaya.clientservices.user

## Enum MediaTransportPreference

- java.lang.Object
- - java.lang.Enum<MediaTransportPreference>
  - - com.avaya.clientservices.user.MediaTransportPreference

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MediaTransportPreference>`

      public enum MediaTransportPreference
      extends java.lang.Enum<MediaTransportPreference>

  The list of Media Transport network preferences. This structure provides a list of choices based on the network type preference. A feature (i.e. VoIP calls, or video) can be enabled based on network connectivity. It is necessary to allow a feature to be enabled based on the preference of network connectivity. All Transports (enabled) and No Media (disabled) are independent of network type. The WiFi only state is included to indicate that the feature is dependent on WiFi connectivity.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL_TRANSPORTS` |
    `NO_MEDIA` |
    `WIFI_ONLY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaTransportPreference` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MediaTransportPreference[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_MEDIA

          public static final MediaTransportPreference NO_MEDIA

    - #### ALL_TRANSPORTS

          public static final MediaTransportPreference ALL_TRANSPORTS

    - #### WIFI_ONLY

          public static final MediaTransportPreference WIFI_ONLY

  - ### Method Detail

    - #### values

          public static MediaTransportPreference[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MediaTransportPreference c : MediaTransportPreference.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MediaTransportPreference valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null